Issue with microagent with jdk-11-slim base image

Document ID : KB000127011
Last Modified Date : 13/02/2019
Show Technical Document Details
Issue:
Seeing this message: WARNING: Illegal reflective access by com.wily.introscope.api.instrument.JavaRedefineRetransformBean to method sun.instrument.InstrumentationImpl.isRetransformClassesSupported() An illegal reflective access operation has occurred
Environment:
Any APM release.
Cause:
APM Java 11 is not supported at this time.
Resolution:
https://pcm.ca.com/overview.php?mod=overview&solution=apm10.7.x At this time, we support Java 6-8 only.

There is no support for Java 9-11. What is listed below may work . But may not be supported.
https://communities.ca.com/thread/241816121-java-11-support-in-apm.

 If your application is non-modular and looking for only compatibility support i.e. apps running on JRE 7, 8 on JVM 11 that should work today. But full compatibility with Java 11 may take longer. This seems to be your focus.